Skip to main content
GET
/
comments
/
{commentId}
Find a comment by its id
curl --request GET \
  --url https://api.leanpay.fr/v1/public/comments/{commentId} \
  --header 'Authorization: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "client": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "externalId": "<string>"
  },
  "invoice": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "externalId": "<string>"
  },
  "creditNote": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "externalId": "<string>"
  },
  "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "text": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

commentId
string<uuid>
required

Id of the comment

Response

Found comment

id
string<uuid>
tenantId
string<uuid>
client
object
invoice
object
creditNote
object
userId
string<uuid>
text
string
createdAt
string<date-time>
updatedAt
string<date-time>